## Index

### Functions

- selfServeTrace
- selfServeTraceCancel
- selfServeTraceFailure
- selfServeTraceStart
- selfServeTraceSuccess

## Functions

### Const selfServeTrace

- selfServeTrace(data: SelfServeTelemetryMessage ): void

- Log an action.

  #### Parameters

  - ##### data: SelfServeTelemetryMessage

    Data to be sent as part of the Self Serve Telemetry.

  #### Returns void

### Const selfServeTraceCancel

- selfServeTraceCancel(data: SelfServeTelemetryMessage, timestamp?: number): void

- Log an action as cancelled.

  #### Parameters

  - ##### data: SelfServeTelemetryMessage

    Data to be sent as part of the Self Serve Telemetry.

  - ##### Optional timestamp: number

    Timestamp of the action's start trace.

  #### Returns void

### Const selfServeTraceFailure

- selfServeTraceFailure(data: SelfServeTelemetryMessage, timestamp?: number): void

- Log an action as a failure.

  #### Parameters

  - ##### data: SelfServeTelemetryMessage

    Data to be sent as part of the Self Serve Telemetry.

  - ##### Optional timestamp: number

    Timestamp of the action's start trace.

  #### Returns void

### Const selfServeTraceStart

- selfServeTraceStart(data: SelfServeTelemetryMessage ): number

- Start logging an action.

  #### Parameters

  - ##### data: SelfServeTelemetryMessage

    Data to be sent as part of the Self Serve Telemetry.

  #### Returns number

  Timestamp of the trace start, that can be used in other trace actions. The timestamp is used to identify all the logs associated with an action.

### Const selfServeTraceSuccess

- selfServeTraceSuccess(data: SelfServeTelemetryMessage, timestamp?: number): void

- Log an action as a success.

  #### Parameters

  - ##### data: SelfServeTelemetryMessage

    Data to be sent as part of the Self Serve Telemetry.

  - ##### Optional timestamp: number

    Timestamp of the action's start trace.

  #### Returns void

Generated using TypeDoc